%define realname   Sys-HostIP

Name:		perl-%{realname}
Version:    1.3.1
Release: %mkrel 4
License:	GPL or Artistic
Group:		Development/Perl
Summary:    Perl module to get ip address related info
Source0:    http://search.cpan.org/CPAN/authors/id/B/BL/BLUELINES//%{realname}-%{version}.tar.bz2
Url:		http://search.cpan.org/~bluelines/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildArch:      noarch

%description
Sys::HostIP does what it can to determine the ip address of your machine.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README 
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 1.3.1-4mdv2009.0
+ Revision: 230903
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.3.1-3mdv2008.0
+ Revision: 23837
- rebuild


* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.3.1-2mdk
- Do not ship empty dir

* Wed Sep 21 2005 Michael Scherer <misc@mandriva.org> 1.3.1-1mdk
- First mandriva package

